image: registry.gitlab.com/gwburst/public/cwb_docker:cwb-6.4.0v2

variables:
  GIT_DEPTH: "10"
  GIT_SUBMODULE_STRATEGY: recursive

############################
#                          #
#  Building GWTC-1 summary #
#                          #
############################

pages:
  stage: build
  only:
    - tags
    - triggers
      #- schedules
  except:
    - schedules
  #cache:
    #key: "cache-linux"
    #paths:
     # - ccache/
  before_script:
    # CCache Config
    #- mkdir -p ccache
    #- export CCACHE_BASEDIR=${PWD}
    #- export CCACHE_DIR=${PWD}/ccache
  script:
    - source /home/cWB_docker/git/cWB/library/docker_watenv.sh
    - mkdir -p public
    - source setup.sh
    - make HTML GW=all TYPE=all PUBLIC=true
    - make HTML  GW=all TYPE=event PUBLIC=true
    - make HTML  TYPE=summary_all PUBLIC=true
    - cp -rL events public/.
    - rm -rf public/events/*/data
    - cp -rL html public/.
    - cp -rL reports public/.

  artifacts:
    paths:
      - public

